# List Validators

`GET /networks/:networkId/validators`

Retrieves a list of Canton Validators.

{% hint style="info" %}

* Request headers required. See [Request Headers](https://github.com/dfns/dfns-api-docs/blob/m/api-docs/getting-started/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](https://github.com/dfns/dfns-api-docs/blob/m/api-docs/getting-started/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

| Name                             | Conditions      |
| -------------------------------- | --------------- |
| `Networks:CantonValidators:Read` | Always Required |

## Response <a href="#response" id="response"></a>

| Field           | Description                                                                           | Type - Optional                                                                                                                                 |
| --------------- | ------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| `items`         | List of validators.                                                                   | See [Create Validator response](https://github.com/dfns/dfns-api-docs/blob/m/api-docs/networks/validators/create-validator/README.md#response). |
| `nextPageToken` | Opaque token used to retrieve the next page of items. `undefined` if end of the list. | String *(optional)*                                                                                                                             |

### 200 Success <a href="#response-example" id="response-example"></a>

```json
{
  "items": [
     {
      "id": "cv-1r64j-u475d-xxxxxxxxxxxxxxxx",
      "network": "CantonDevnet",
      "name": "Dfns Shared Validator",
      "kind": "Shared",
      "dateCreated": "2025-05-09T08:54:25.049Z",
      "partyHint": "dfnsdev1"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/networks/validators/list-validators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
